[Scipy-tickets] [SciPy] #1646: Could not find file error from setup.py build

SciPy Trac scipy-tickets@scipy....
Wed Jul 18 01:15:20 CDT 2012


#1646: Could not find file error from setup.py build
--------------------------+-------------------------------------------------
 Reporter:  bdpy          |       Owner:  somebody   
     Type:  defect        |      Status:  new        
 Priority:  normal        |   Milestone:  Unscheduled
Component:  Build issues  |     Version:  0.10.0     
 Keywords:                |  
--------------------------+-------------------------------------------------

Comment(by bohoro):

 Replying to [comment:7 rgommers]:
 > Scipy Superpack not finishing installing may be the reason for your
 troubles. I don't think it makes sense for me to try to reproduce this
 issue then.
 >
 > I would suggest either trying that installer again (after cleaning up
 the broken parts by hand) or installing python, numpy and scipy from their
 binary installers. Those can be found on python.org and sourceforge.

 My steps for posterity

 Cleaned up stuff....


 {{{
 sudo easy_install -mxN scipy

 rm -Rf  /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7
 /site-packages/scipy
 rm -Rf /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7
 /site-packages/scipy-0.10.1-py2.7.egg-info/

 }}}

 Verified Python does not see scipy

 {{{
 python
 Python 2.7.3 (v2.7.3:70274d53c1dd, Apr  9 2012, 20:52:43)
 [GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
 Type "help", "copyright", "credits" or "license" for more information.
 >>> import scipy
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
 ImportError: No module named scipy

 }}}

 Did a find command on filesystem for "scipy" looked clean.

 Tried easy install and pip for scipy both complained about umfpack, pip
 output:


 {{{
 umfpack_info:

   libraries umfpack not found in
 /System/Library/Frameworks/Python.framework/Versions/2.7/lib

   libraries umfpack not found in /usr/local/lib

   libraries umfpack not found in /usr/lib

 /Library/Python/2.7/site-
 packages/numpy-1.6.2-py2.7-macosx-10.7-intel.egg/numpy/distutils/system_info.py:470:
 UserWarning:

     UMFPACK sparse solver
 (http://www.cise.ufl.edu/research/sparse/umfpack/)

     not found. Directories to search for the libraries can be specified in
 the

     numpy/distutils/site.cfg file (section [umfpack]) or by setting

     the UMFPACK environment variable.

   warnings.warn(self.notfounderror.__doc__)

   NOT AVAILABLE

 }}}

 ran brew install umfpack

 Reran PIP and easy_setup - still no dice, no error just did not install.
 Gave up went to binary install.

 Install worked, but failures in scipy.test() equiv to:

 http://projects.scipy.org/scipy/ticket/1618

 From the mail list:

 http://mail.scipy.org/pipermail/scipy-user/2012-March/031686.html

 The failures seem to indicate that (single-precision) linear algebra
 routines are not functioning correctly. These are probably a sign of
 some Veclib / Fortran ABI mismatch related to Fortran functions --
 similar problems have been seen e.g. when mixing g77 and gfortran
 compilers (also on other platforms than OSX), and on OSX adding Veclib
 to the mix seems make the situation even more finicky.

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1646#comment:8>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list